package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.RecordInStoreMapper;
import com.aucma.base.domain.RecordInStore;
import com.aucma.base.service.IRecordInStoreService;

/**
 * 入库记录Service业务层处理
 * 
 * @author Yinq
 * @date 2023-09-21
 */
@Service
public class RecordInStoreServiceImpl implements IRecordInStoreService 
{
    @Autowired
    private RecordInStoreMapper recordInStoreMapper;

    /**
     * 查询入库记录
     * 
     * @param objId 入库记录主键
     * @return 入库记录
     */
    @Override
    public RecordInStore selectRecordInStoreByObjId(Long objId)
    {
        return recordInStoreMapper.selectRecordInStoreByObjId(objId);
    }

    /**
     * 查询入库记录列表
     * 
     * @param recordInStore 入库记录
     * @return 入库记录
     */
    @Override
    public List<RecordInStore> selectRecordInStoreList(RecordInStore recordInStore)
    {
        return recordInStoreMapper.selectRecordInStoreList(recordInStore);
    }

    /**
     * 新增入库记录
     * 
     * @param recordInStore 入库记录
     * @return 结果
     */
    @Override
    public int insertRecordInStore(RecordInStore recordInStore)
    {
        return recordInStoreMapper.insertRecordInStore(recordInStore);
    }

    /**
     * 修改入库记录
     * 
     * @param recordInStore 入库记录
     * @return 结果
     */
    @Override
    public int updateRecordInStore(RecordInStore recordInStore)
    {
        return recordInStoreMapper.updateRecordInStore(recordInStore);
    }

    /**
     * 批量删除入库记录
     * 
     * @param objIds 需要删除的入库记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordInStoreByObjIds(Long[] objIds)
    {
        return recordInStoreMapper.deleteRecordInStoreByObjIds(objIds);
    }

    /**
     * 删除入库记录信息
     * 
     * @param objId 入库记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordInStoreByObjId(Long objId)
    {
        return recordInStoreMapper.deleteRecordInStoreByObjId(objId);
    }
}
